org.python.core

## Class Pragma.PragmaModule

- java.lang.Object
- - org.python.core.Pragma.PragmaModule

- Direct Known Subclasses:
    Pragma.ForbiddenPragmaModule
  Enclosing interface:
    Pragma

      public abstract static class Pragma.PragmaModule
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `name`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Pragma` | `getPragma(java.lang.String name)`
    `abstract Pragma` | `getStarPragma()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final java.lang.String name

  - ### Method Detail

    - #### getPragma

          public abstract Pragma getPragma(java.lang.String name)

    - #### getStarPragma

          public abstract Pragma getStarPragma()

Jython homepage